From 1549514de9c344ac978472097e750b1caf6a36b9 Mon Sep 17 00:00:00 2001
From: Fantix King <fantix.king@gmail.com>
Date: Mon, 25 May 2020 14:10:07 -0500
Subject: [PATCH] Skip for bpo-30064 until 3.8.2

[mgorny: extended to all py3.8 versions]
---
 tests/test_sockets.py | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/tests/test_sockets.py b/tests/test_sockets.py
index 6a8a63f..d9f258e 100644
--- a/tests/test_sockets.py
+++ b/tests/test_sockets.py
@@ -194,10 +194,11 @@ class _TestSockets:
             self.loop.run_until_complete(asyncio.sleep(0.01))
 
     def test_sock_cancel_add_reader_race(self):
-        if self.is_asyncio_loop() and sys.version_info[:3] == (3, 8, 0):
-            # asyncio 3.8.0 seems to have a regression;
-            # tracked in https://bugs.python.org/issue30064
-            raise unittest.SkipTest()
+        if self.is_asyncio_loop():
+            if (3, 9) > sys.version_info[:3] >= (3, 8, 0):
+                # asyncio 3.8.0 seems to have a regression;
+                # tracked in https://bugs.python.org/issue30064
+                raise unittest.SkipTest()
 
         srv_sock_conn = None
 
-- 
2.27.0

